Subject: Re: bug#30315: [PATCH] keyboard-escape-quit should give option not to delete windows

From: Juri Linkov <[email-masked]>
Date: Thu, 01 Feb 2018 22:29:42 +0200

> I've always found it a bit odd that ESC-ESC-ESC deletes windows, since I
> think of it as telling Emacs to "stop doing whatever it is you're
> doing". I guess there's a case to be made that splitting the frame is
> doing something, but it's behavior I'm not a huge fan of.
>
> The attached patch introduces a new defcustom that allows the user to
> stop ESC-ESC-ESC from deleting windows. I'm not sure if this should be
> documented in the manual or not. If so, please let me know (and where?).

But what if other users don't like other things in ‘keyboard-escape-quit’
or their priorities.  Shouldn't all its actions be customizable?
For example, I'd prefer to have this rule somewhere in the middle:

  ((eq major-mode 'wdired-mode)
   (wdired-abort-changes))

Maybe better to change the implementation of ‘keyboard-escape-quit’
to use ‘add-function’ from nadvice.el, so it would be easier to add/delete
some actions from it?